// -*- c++ -*-
//------------------------------------------------------------------------------
// $Id: DeckInfo.h,v 1.3 2004/03/16 05:01:47 vlg Exp $
//------------------------------------------------------------------------------
//                            DeckInfo.h
//------------------------------------------------------------------------------
//  Copyright (c) 2004 by Vladislav Grinchenko 
//
//  This program is free software; you can redistribute it and/or 
//  modify it under the terms of the GNU General Public License   
//  as published by the Free Software Foundation; either version  
//  2 of the License, or (at your option) any later version.      
//------------------------------------------------------------------------------
//
// Date   : Mon Feb 16 22:08:26 EST 2004
//
//------------------------------------------------------------------------------
#ifndef DECK_INFO_H
#define DECK_INFO_H

#ifdef HAVE_CONFIG_H
#    include "config.h"
#endif

#include <gtkmm/dialog.h>

class Deck;
class Gtk::Entry;

class DeckInfo : public Gtk::Dialog
{  
public:
	DeckInfo (Deck& deck_);

	void on_ok_clicked ();
	void on_browse_clicked ();

private:
	Deck&        m_deck;
	Gtk::Entry*  m_author_entry;
	Gtk::Entry*  m_desc_entry;
	Gtk::Entry*  m_snd_path_entry;
};

#endif
